Bug 621719 - libglib-2.0.so.0.2200.5-gdb.py uses "dir" as a variable, shadowing the "dir" builtin
Summary: libglib-2.0.so.0.2200.5-gdb.py uses "dir" as a variable, shadowing the "dir" ...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-05 22:40 UTC by Dave Malcolm
Modified: 2010-12-03 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 16:39:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 636387 None None None Never

Description Dave Malcolm 2010-08-05 22:40:47 UTC
Description of problem:
/usr/share/gdb/auto-load/lib/libglib-2.0.so.0.2200.5-gdb.py has this fragment:
  dir = '/usr/share/glib-2.0/gdb'
  if not dir in sys.path:
      sys.path.insert(0, dir)

This assignment to "dir" shadows the "dir" builtin, making it more difficult to
use python interactively within gdb.

Suggest the use of "dir_" instead of "dir"

Version-Release number of selected component (if applicable):
glib2-devel-2.22.5-1.fc12.i686

c.f: attempting to debug my gdbheap module:
(gdb) python import gdbheap

(gdb) python dir(gdbheap)
Traceback (most recent call last):
  File "<string>", line 1, in <module>
TypeError: 'str' object is not callable
Error while executing Python code.

(gdb) python print repr(dir)
'/usr/share/glib-2.0/gdb'

Comment 1 Dave Malcolm 2010-08-05 22:43:57 UTC
The (tedious) workaround is to fetch the object back from the __builtin__ module and reassign it to "dir":
(gdb) python import __builtin__
(gdb) python dir = __builtin__.dir

Comment 2 Dave Malcolm 2010-08-05 22:45:03 UTC
Seems to be another one in the analogous "gobject" file

Comment 3 Bug Zapper 2010-11-03 11:13:33 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 12:56:23 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Dave Malcolm 2010-12-03 16:23:09 UTC
Still present in:
  /usr/share/gdb/auto-load/lib64/libglib-2.0.so.0.2400.1-gdb.py
in glib2-devel-2.24.1-1.fc13.x86_64

Comment 6 Dave Malcolm 2010-12-03 16:39:56 UTC
Bug still present in latest upstream git; filed upstream as:
     https://bugzilla.gnome.org/show_bug.cgi?id=636387


Note You need to log in before you can comment on or make changes to this bug.